// 
// Copyright (c) 2002-2009 Nokia Corporation and/or its subsidiary(-ies).
// All rights reserved.
// This component and the accompanying materials are made available
// under the terms of the License "Eclipse Public License v1.0"
// which accompanies this distribution, and is available
// at the URL "http://www.eclipse.org/legal/epl-v10.html".
// 
// Initial Contributors:
// Nokia Corporation - initial contribution.
// 
// Contributors:
// 
// Description:  Main application class
// 
// 


// INCLUDE FILES
#include "VibraPool.hrh"
#include "VibraPoolDocument.h"
#include "VibraPoolApplication.h"

// ============================ MEMBER FUNCTIONS ===============================

// -----------------------------------------------------------------------------
// CVibraPoolApplication::CreateDocumentL()
// Creates CApaDocument object
// -----------------------------------------------------------------------------
//
CApaDocument* CVibraPoolApplication::CreateDocumentL()
	{
	// Create an VibraPool document, and return a pointer to it
	return (static_cast<CApaDocument*>
					( CVibraPoolDocument::NewL( *this ) ) );
	}

// -----------------------------------------------------------------------------
// CVibraPoolApplication::AppDllUid()
// Returns application UID
// -----------------------------------------------------------------------------
//
TUid CVibraPoolApplication::AppDllUid() const
	{
	// Return the UID for the VibraPool application
	return KUidVibraPoolApp;
	}

// End of File
